empty:echo | ./expand
abc:echo A B C | ./expand
ea-nasir:echo DEFINE MAUVE DELIVER FINE QUALITY COPPER INGOTS STOP YOU SAID I WILL MAUVE BUT YOU DID NOT MAUVE | ./expand
redefine:echo DEFINE X Y STOP X DEFINE X Z STOP X | ./expand
define:echo DEFINE XYZZY DEFINE STOP XYZZY | ./expand
not-recursive:echo DEFINE BAR BEAR STOP BAR BAR BAR DEFINE FOO BAR STOP FOO FOO FOO | ./expand
moby:./expand < moby.txt
valgrind:head -20000 moby.txt | valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./expand > /dev/null
